type SerializeDescriptionProps = {
    description: string;
    onMentionSave: (id: string) => Promise<unknown>;
};
type MentionElement = Element & {
    dataset: {
        id: string;
    };
};
declare class MentionService {
    private attribute;
    stringToHtml(value?: string): Document;
    htmlToString(html: Document): string;
    getMentionedElements(html: Document): Array<MentionElement>;
    getNewMentionedElements(elements: Array<MentionElement>): MentionElement[];
    addNotifiedAttributeToElement(element: MentionElement): MentionElement;
    createMentionsBeforeModelSave({ description: str, onMentionSave }: SerializeDescriptionProps): Promise<string>;
    createMentionsAfterModelSave(str: string): {
        description: string;
        mentionIds: string[];
        allMentionIds: string[];
        allMention: {
            id: string;
        }[];
    };
}
export declare const mentionService: MentionService;
export {};
